Issue2330

classification
Title: full-build fails to copy CPython License
Type: behaviour Severity: normal
Components: Installer Versions: Jython 2.7
Milestone: Jython 2.7.2
process
Status: pending Resolution: accepted
Dependencies: Superseder:
Assigned To: jeff.allen Nosy List: fwierzbicki, jeff.allen, kprussing, zyasoft
Priority: normal Keywords: patch

Created on 2015-04-15.15:37:06 by kprussing, last changed 2019-08-18.06:31:12 by jeff.allen.

Files
File name Uploaded Description Edit Remove
full-build.patch kprussing, 2015-04-15.15:37:05
Messages
msg9859 (view) Author: Keith Prussing (kprussing) Date: 2015-04-15.15:37:05
The full-build target fails when copying the LICENSE file from the CPython repository to dist/LICENSE_CPython.txt.  Line 744 of build.xml has the license path set to ${checkout.dir}/python/LICENSE; however, this repository is never cloned.  The attached patch adds the hg call to clone the CPython repository into the correct location in the checkout target.

Error:

<snip>
copy-license:
     [echo] copy CPython LICENSE from .../jython/../full_build/work/checkout/python

BUILD FAILED
.../jython/build.xml:744: Warning: Could not find file .../jython/../full_build/work/checkout/python/LICENSE to copy.

Expected Result: The installer would be built.

Cause: .../jython/full_build/work/checkout/python does not exist.
msg9925 (view) Author: Jim Baker (zyasoft) Date: 2015-04-23.03:51:17
I suppose, but I really don't see the necessity of this. Jython and CPython are both under the PSF, and LICENSE.txt clearly indicates the licensing. So this is cleanup at most.

We probably should make the inclusion of the core (CPython) standard library explicit in ACKNOWLEDGMENTS, much as we do with other libraries.
msg9929 (view) Author: Jim Baker (zyasoft) Date: 2015-04-23.13:42:08
Frank, so presumably adding one text file is a safe change ;), so can you apply Keith's patch for final? I will write a change in ACKNOWLEDGMENTS re CPython. Otherwise we should assume for the moment that nothing else is changing in the final release.
msg9930 (view) Author: Jim Baker (zyasoft) Date: 2015-04-23.13:52:45
ACKNOWLEDGMENTS changed in https://hg.python.org/jython/rev/cb13feb73a05: "Sibling relationship with CPython includes use and derivation"
msg11711 (view) Author: Jeff Allen (jeff.allen) Date: 2018-02-25.13:15:38
What's the status of this?

We've made a change that acknowledges the CPython licence, but not the patch that checks out the whole of CPython in order to get a copy. (Good, I think)

The full-build doesn't work for me (fails on informix jar not present), but then I don't understand its objective or prerequisites. I've never had trouble checking out or building.

Close?
msg12634 (view) Author: Jeff Allen (jeff.allen) Date: 2019-08-17.16:21:38
Ok, now I see why this matters.

We lost the code that used to check out (just) the license file from CPython when we dropped use of Subversion, but we still have the code that expects it to be there. 
What puzzles me is that we have managed several releases since https://hg.python.org/jython/rev/f99964642fa1 and not noticed this.

The hg checkout is right, of course (except CPython is now on GitHub), but I'd quite like the build to work without depending on hg. If I've got the code once already, why clone again? Maybe I'm missing something.

A copy may be unnecessary (IANAL) but the easy solution is to put a version under source control and copy it to where this failing task is trying to put it. Seems like it's been expected there since at least 2.2. Our license refers to a Lib/LICENSE as if once upon a time we simply checked in (and copied) the CPython license along with the stdlib.
msg12636 (view) Author: Jeff Allen (jeff.allen) Date: 2019-08-18.06:31:12
Fixed at https://hg.python.org/jython/rev/40004e96dbc5 . And for the first time I got to the end of a full-build (on Windows too).
History
Date User Action Args
2019-08-18 06:31:12jeff.allensetstatus: open -> pending
messages: + msg12636
2019-08-17 16:21:38jeff.allensetassignee: jeff.allen
milestone: Jython 2.7.2
messages: + msg12634
resolution: accepted
severity: minor -> normal
2018-03-22 08:13:10jeff.allensetpriority: normal
milestone: Jython 2.7.0 -> (no value)
2018-02-25 13:15:38jeff.allensetnosy: + jeff.allen
messages: + msg11711
2015-04-23 13:52:45zyasoftsetmessages: + msg9930
2015-04-23 13:42:08zyasoftsetnosy: + fwierzbicki
messages: + msg9929
milestone: Jython 2.7.0
2015-04-23 03:51:18zyasoftsetnosy: + zyasoft
messages: + msg9925
2015-04-15 15:37:06kprussingcreate